Skip to main content

Estimate

This endpoint is used to submit an emission estimate request to the Satuplatform system.
The request requires authentication using the Basic Authentication scheme.

The Authorization value must be a Base64-encoded string of the combination apiKey:apiSecret.
You can obtain apiKey and apiSecret after making a GET API Token request from the Satuplatform system.


Environment

Use the appropriate environment based on your needs:

EnvironmentDescription
productionFor live applications (real data)
sandboxFor testing and development purposes

Replace <environment> in the URL with:

  • api for production
  • api-sandbox for sandbox

URL

  • Production:
    https://api.satuplatform.com/api/v1/estimate

  • Sandbox:
    https://api-sandbox.satuplatform.com/api/v1/estimate


Headers

HeaderValue
Content-Typeapplication/json
AuthorizationBasic <base64(apiKey:apiSecret)>

Parameters

ParametersTypeRequiredDescription
emission_factor.activity_idStringYesThe identifier of the emission activity (e.g., fuels_petroleum-fuels_bensin-ron-90).
parameters.unitStringYesThe unit of the input value (e.g., TJ).
parameters.valueNumberYesThe amount of the input unit used to estimate emissions.

Example Request Body

{
"emission_factor": {
"activity_id": "fuels_petroleum-fuels_bensin-ron-90"
},
"parameters": {
"value": 100,
"unit": "TJ"
}
}

Example Response Body

{
"success": true,
"data": {
"co2e": 6929.309102690001,
"co2e_unit": "tonnes",
"constituent_gases": {
"co2e_total": 6929.309102690001,
"co2e_other": null,
"co2": 6929.309102690001,
"ch4": null,
"n2o": null
},
"emission_factor": {
"activity_id": "fuels_petroleum-fuels_bensin-ron-90",
"source": "ESDM (2023)",
"Unit": "TJ",
"Scope": "Scope 1",
"SourceorActivityType": "Stationary Combustion",
"Level1": "Fuels",
"Level2": "Petroleum Fuels",
"Level3": "Bensin RON 90"
},
"activity_data": {
"activity_value": 100,
"activity_unit": "TJ"
}
}
}

Status Code

Status CodeDescription
200OK